@charset "UTF-8";

* {
  box-sizing: border-box;
}

.dropdown {
  position: relative;
  font-size: 14px;
  cursor: pointer;
  color: #333;
}

.dropdown .dropdown-list {
  padding: 12px;
  background: #fff;
  position: absolute;
  top: 37px;
  left: 0;
  right: 0;
  border: 1px solid #ced4da;
  border-top: none;
  border-radius: 0 0 .25rem .25rem;
  transform-origin: 50% 0;
  transform: scale(1, 0);
  transition: all 0.15s ease-in-out 0.15s;
  max-height: 265px;
  overflow-y: auto;
}

.dropdown-label:focus~.dropdown-list,
.dropdown.on .dropdown-list {
  border-color: var(--bs-info);
}

.was-validated .dropdown-label.is-invalid:focus~.dropdown-list,
.was-validated .dropdown.on .dropdown-label.is-invalid~.dropdown-list {
  border-color: var(--bs-danger);
}

.was-validated .dropdown-label.is-valid:focus~.dropdown-list,
.was-validated .dropdown.on .dropdown-label.is-valid~.dropdown-list {
  border-color: var(--bs-success);
}


.dropdown .dropdown-option {
  display: block;
  padding: 3px 0;
  opacity: 0;
  transition: opacity 0.15s ease-in-out;
}

.dropdown .dropdown-label {
  height: 40px;
  line-height: 1;
  cursor: pointer;
  display: flex;
  align-items: center;
  user-select: none;
  color: #8e959b;

  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right .75rem center;
  background-size: 16px 12px;
  padding: 0 0.75rem;
}

.dropdown.on .dropdown-label {
  background-color: #fff;
  border-color: var(--bs-info);
  outline: 0;
  box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);
}

.was-validated .dropdown.on .dropdown-label.is-invalid,
.was-validated .dropdown.is-invalid:focus .dropdown-label {
  border-color: var(--bs-danger);
  box-shadow: 0 0 0 .25rem rgba(220, 53, 69, .25);
}

.was-validated .dropdown.on .dropdown-label.is-valid,
.was-validated .dropdown.is-valid:focus .dropdown-label {
  border-color: var(--bs-success);
  box-shadow: 0 0 0 .25rem rgba(25, 135, 84, .25);
}

.dropdown.on .dropdown-list {
  transform: scale(1, 1);
  transition-delay: 0s;
  cursor: default;
}

.dropdown.on .dropdown-list .dropdown-option {
  opacity: 1;
  transition-delay: 0.2s;
}

.dropdown.on .dropdown-list .dropdown-option, .dropdown.on .dropdown-list .dropdown-option * {
  cursor: pointer;
}

.dropdown [type=checkbox] {
  position: relative;
  top: -1px;
  margin-right: 4px;
}